.TH HG COPY  "" "" ""
.SH NAME
hg copy \- mark files as copied for the next commit
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg copy [OPTION]... (SOURCE... DEST | \-\-forget DEST...)
.ft P
.fi
.SH DESCRIPTION
.sp
Mark dest as having copies of source files. If dest is a
directory, copies are put in that directory. If dest is a file,
the source must be a single file.
.sp
By default, this command copies the contents of files as they
exist in the working directory. If invoked with \-A/\-\-after, the
operation is recorded, but no copying is performed.
.sp
To undo marking a destination file as copied, use \-\-forget. With that
option, all given (positional) arguments are unmarked as copies. The
destination file(s) will be left in place (still tracked). Note that
\%\fBhg copy \-\-forget\fP\: behaves the same way as \%\fBhg rename \-\-forget\fP\:.
.sp
This command takes effect with the next commit by default.
.sp
Returns 0 on success, 1 if errors are encountered.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-\-forget
.
unmark a destination file as copied
.TP
.B \-A,  \-\-after
.
record a copy that has already occurred
.TP
.BI \-\-at\-rev \ <REV>
.
(un)mark copies in the given revision (EXPERIMENTAL)
.TP
.B \-f,  \-\-force
.
forcibly copy over an existing managed file
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.TP
.B \-n,  \-\-dry\-run
.
do not perform actions, just print output
.UNINDENT
.sp
[+] marked option can be specified multiple times
.SH ALIASES
.sp
.nf
.ft C
cp
.ft P
.fi
.\" Generated by docutils manpage writer.
.\" 
.
